package com.yinet.wsyy.domain;

import com.yinet.common.annotation.Excel;
import com.yinet.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 时间段设置对象 wsyy_quantum
 * 
 * @author yinet
 * @date 2019-09-02
 */
public class WsyyQuantum extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long wsyyQuantumId;

    /** 时间段 */
    @Excel(name = "时间段")
    private String timeQuantum;

    /** 状态（1正常 2停用） */
    @Excel(name = "状态", readConverterExp = "1=正常,2=停用")
    private String status;

    public void setWsyyQuantumId(Long wsyyQuantumId) 
    {
        this.wsyyQuantumId = wsyyQuantumId;
    }

    public Long getWsyyQuantumId() 
    {
        return wsyyQuantumId;
    }
    public void setTimeQuantum(String timeQuantum) 
    {
        this.timeQuantum = timeQuantum;
    }

    public String getTimeQuantum() 
    {
        return timeQuantum;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("wsyyQuantumId", getWsyyQuantumId())
            .append("timeQuantum", getTimeQuantum())
            .append("status", getStatus())
            .toString();
    }
}
